import 'package:flutter/material.dart';
import 'package:healthcare_user/common/settings.dart';
import 'package:healthcare_user/report_problem/report_my_self.dart';


class HowAreYouFellingToday extends StatefulWidget {
  const HowAreYouFellingToday({Key? key}) : super(key: key);

  @override
  State<HowAreYouFellingToday> createState() => _HowAreYouFellingTodayState();
}

class _HowAreYouFellingTodayState extends State<HowAreYouFellingToday> {
  @override
  Widget build(BuildContext context) {
    return  Scaffold(
      appBar: AppSettings.appBar('How are you feeling today?'),
      body: Container(
        child: Padding(
          padding: EdgeInsets.all(10),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              /*TextButton(
                child: const Text(
                  'Report a problem!',
                  style: TextStyle(fontSize: 15,
                      decoration: TextDecoration.underline,color: greyColor),
                ),
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => const ReportMySelf()),
                  );
                  //signup screen
                },
              ),*/
              Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Column(
                    children: [
                      GestureDetector(
                        child: Container(
                          width: MediaQuery.of(context).size.width * .20,
                          height: MediaQuery.of(context).size.height * .15,
                          decoration: BoxDecoration(
                              color: Colors.white,
                              shape: BoxShape.circle,
                              image: DecorationImage(
                                  image: AssetImage(
                                      "images/happy.png"), // picked file
                                  fit: BoxFit.fitWidth)),
                        ),
                        onTap: () {

                        },
                      ),
                      Text('Happy', style: TextStyle(color: primaryColor,fontSize: 14,fontWeight: FontWeight.bold),)
                    ],
                  ),
                  Column(
                    children: [
                      GestureDetector(
                        child: Container(
                          width: MediaQuery.of(context).size.width * .20,
                          height: MediaQuery.of(context).size.height * .15,
                          decoration: BoxDecoration(
                              color: Colors.white,
                              shape: BoxShape.circle,
                              image: DecorationImage(
                                  image: AssetImage(
                                      "images/ok.png"), // picked file
                                  fit: BoxFit.fitWidth)),
                        ),
                        onTap: () async {
                            showDialog(
                              //barrierDismissible: false,
                              context: context,
                              builder: (BuildContext context) => AlertDialog(
                                title: const Text('Would you like to leave a message?',
                                    style: TextStyle(
                                      color: primaryColor,
                                      fontSize: 20,
                                    )),
                                actionsAlignment: MainAxisAlignment.spaceBetween,
                                actions: [
                                  TextButton(
                                    onPressed: ()async {
                                      Navigator.pop(context);
                                      Navigator.push(
                                        context,
                                        MaterialPageRoute(
                                            builder: (context) => const ReportMySelf()),
                                      );


                                    },
                                    child: const Text('Yes',
                                        style: TextStyle(
                                          color: primaryColor,
                                          fontSize: 20,
                                        )),
                                  ),
                                  TextButton(
                                    onPressed: () {
                                      Navigator.of(context).pop(true);
                                    },
                                    child: const Text('No',
                                        style: TextStyle(
                                          color: primaryColor,
                                          fontSize: 20,
                                        )),
                                  ),
                                ],
                              ),
                            );
                          },
                      ),

                      Text('Ok', style: TextStyle(color: buttonColors,fontSize: 14,fontWeight: FontWeight.bold),)
                    ],
                  ),
                  Column(
                    children: [

                      GestureDetector(
                        child:
                        Container(
                          width: MediaQuery.of(context).size.width * .20,
                          height: MediaQuery.of(context).size.height * .15,
                          decoration: BoxDecoration(
                              color: Colors.white,
                              shape: BoxShape.circle,
                              image: DecorationImage(
                                  image: AssetImage(
                                      "images/sad.png"), // picked file
                                  fit: BoxFit.fitWidth)),
                        ),
                        onTap: () async {
                            showDialog(
                              //barrierDismissible: false,
                              context: context,
                              builder: (BuildContext context) => AlertDialog(
                                title: const Text('Would you like to leave a message?',
                                    style: TextStyle(
                                      color: primaryColor,
                                      fontSize: 20,
                                    )),
                                actionsAlignment: MainAxisAlignment.spaceBetween,
                                actions: [
                                  TextButton(
                                    onPressed: ()async {
                                      Navigator.pop(context);
                                      Navigator.push(
                                        context,
                                        MaterialPageRoute(
                                            builder: (context) => const ReportMySelf()),
                                      );


                                    },
                                    child: const Text('Yes',
                                        style: TextStyle(
                                          color: primaryColor,
                                          fontSize: 20,
                                        )),
                                  ),
                                  TextButton(
                                    onPressed: () {
                                      Navigator.of(context).pop(true);
                                    },
                                    child: const Text('No',
                                        style: TextStyle(
                                          color: primaryColor,
                                          fontSize: 20,
                                        )),
                                  ),
                                ],
                              ),
                            );
                          },
                      ),
                      Text('Sick', style: TextStyle(color: Colors.red,fontSize: 14,fontWeight: FontWeight.bold),)
                    ],
                  ),
                ],
              )
            ],
          )
        ),
      ),
    );
  }
}
